name: toptime_mobile
description: "Top Time Café - Online ordering and curbside pickup mobile app"
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ^3.9.2

dependencies:
  flutter:
    sdk: flutter
  
  # UI & Navigation
  cupertino_icons: ^1.0.8
  go_router: ^14.6.1
  
  # State Management
  flutter_riverpod: ^2.6.1
  riverpod_annotation: ^2.6.1
  
  # HTTP & API
  dio: ^5.7.0
  retrofit: ^4.4.1
  json_annotation: ^4.9.0
  
  # Storage
  flutter_secure_storage: ^9.2.2
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  
  # Location & Maps
  geolocator: ^13.0.2
  google_maps_flutter: ^2.9.0
  permission_handler: ^11.3.1
  
  # Push Notifications
  firebase_core: ^3.6.0
  firebase_messaging: ^15.1.3
  flutter_local_notifications: ^18.0.1
  
  # Image Handling
  cached_network_image: ^3.4.1
  image_picker: ^1.1.2
  
  # Localization
  flutter_localizations:
    sdk: flutter
  intl: any
  
  # UI Components
  flutter_svg: ^2.0.10+1
  shimmer: ^3.0.0
  lottie: ^3.1.2
  
  # Utilities
  url_launcher: ^6.3.1
  share_plus: ^10.1.1
  package_info_plus: ^8.0.2
  device_info_plus: ^10.1.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  
  # Linting & Code Generation
  flutter_lints: ^5.0.0
  build_runner: ^2.4.13
  riverpod_generator: ^2.4.3
  retrofit_generator: ^8.2.0
  json_serializable: ^6.8.0
  hive_generator: ^1.1.3

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  uses-material-design: true
  
  # Assets
  assets:
    - assets/images/
    - assets/icons/
    - assets/animations/
    - assets/translations/
  
  # Fonts
  fonts:
    - family: Inter
      fonts:
        - asset: assets/fonts/Inter-Regular.ttf
        - asset: assets/fonts/Inter-Medium.ttf
          weight: 500
        - asset: assets/fonts/Inter-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Inter-Bold.ttf
          weight: 700
    
    - family: Cairo
      fonts:
        - asset: assets/fonts/Cairo-Regular.ttf
        - asset: assets/fonts/Cairo-Medium.ttf
          weight: 500
        - asset: assets/fonts/Cairo-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Cairo-Bold.ttf
          weight: 700
